ZIP_GET_FILE_COMMENT(3)

NAME
zip_get_file_comment - get comment for file in zip

LIBRARY
libzip (-lzip)

SYNOPSIS
#include <zip.h>

const char * zip_get_file_comment(struct zip *archive, int index, int *lenp, int flags);

DESCRIPTION
The zip_get_file_comment function returns the comment for the file at position index in the zip archive. This pointer should not be modified or free(3) Ap d. If lenp is not NULL, the integer to which it points will be set to the length of the comment. If flags is set to ZIP_FL_UNCHANGED, the original unchanged comment is returned.

RETURN VALUES
Upon successful completion, a pointer to the comment is returned, or NULL if there is no comment. In case of an error, NULL is returned and the error code in archive is set to indicate the error.

ERRORS
zip_get_file_comment fails if:

    [ZIP_ER_INVAL]
        index is not a valid file index in archive.

SEE ALSO
libzip(3), zip_get_archive_comment(3)

AUTHORS
Dieter Baron <dillo@giga.or.at> and Thomas Klausner <tk@giga.or.at>